<?php

/**
 * Page de gestion importé par la page d'administration centrale permettant la gestion des alias virtuels.
 */

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/domaines.php");
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/utilisateurs.php");
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/alias_virtuels.php");

$liste_utilisateurs = listeUtilisateursPostfix($pdo);
$liste_domaines = listeDomainesPostfix($pdo);
$liste_alias_virtuels = listeAliasVirtuelsPostfix($pdo);

/**
 * Affiche le formulaire de selection d'un utilisateur si celui connecté possède les privilèges administrateur.
 */
if (testPrivileges()=="administrateur") {
	echo <<<_HEREDOC_
<div>
	<form id="form_choix_utilisateur" action="/services/traitements/utilisateurs/changeUtilisateur.php" method="post">
		<div>
		<h1>Choix de l'adresse</h1>
		<select name="choix_utilisateur" onchange="autoSoumission(this);">
_HEREDOC_;

	/**
	 * Remplis un menu déroulant permettant le choix de l'utilisateur par l'administrateur.
	 * Ce choix permettra de modifier les alias virtuels y étant rattachés.
	 * La valeur par défaut du menu est positionnée sur le compte administrateur actuellement connecté.
	 */
	foreach ($liste_utilisateurs as $utilisateur_bdd => $utilisateur) {
		if ($utilisateur['utilisateur']==$_SESSION['pseudo_utilisateur']) {
			echo "<option value=\"".$utilisateur['utilisateur']."\" selected>".$utilisateur['utilisateur']."</option>\n";
		}
		elseif ($_SESSION['privilege_utilisateur']=="administrateur") {
			echo "<option value=\"".$utilisateur['utilisateur']."\">".$utilisateur['utilisateur']."</option>\n";
		}
	}
	
	echo <<<_HEREDOC_
		</select>
		</div>
	</form>
</div>
_HEREDOC_;
}

?>

<div>
	<form action="/services/traitements/alias_virtuels/ajoutAliasVirtuels.php" method="post">
		<h1>Ajouter un alias virtuel</h1>
		<?php
		$prefixe_utilisateur=retournePrefixeUtilisateurPostfix($pdo);
		if (!empty($prefixe_utilisateur)) {
			echo  "<span>$prefixe_utilisateur</span>";
		}
		?>
		<input type="text" id="nom_alias" name="nom_alias" placeholder="alias*" onkeyup="filtreAliasVirtuels();" required>
		<span>@</span>
		<select name="choix_domaine_alias">
		<?php

		try {
			foreach ($liste_domaines as $domaine_bdd => $domaine) {
				echo "<option value=\"".$domaine['domaine']."\">".$domaine['domaine']."</option>\n";
			}
		}
		catch (\Exception $e) {
			die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
		}

		?>
		</select>
		<!--<select name="choix_domaine_alias" onchange='document.getElementById("domaine_alias").innerHTML = this.options[this.selectedIndex].text'>
			<option value=\"".$domaine['domaine']."\">".$domaine['domaine']."</option>
		</select>
		<p id="domaine_alias"><?php //echo $liste_domaines[0]["domaine"]; ?></p>-->
		<p>vers <?php echo $_SESSION['pseudo_utilisateur'] ?></p>
		<input type="submit" value="Ajouter">
	</form>

	<h1>Alias de <?php echo $_SESSION['pseudo_utilisateur']; ?></h1>
	
	<form class="" action="/services/traitements/alias_virtuels/editEtatAliasVirtuels.php" method="post">
		<ul id="liste_alias_virtuels">
		<?php
		
		/**
		 * Ajout d'un alias virtuel.
		 */
		try {
			foreach ($liste_alias_virtuels as $alias_virtuels_bdd => $alias_virtuels) {	
				echo "<li><input type=\"radio\" name=\"".$alias_virtuels['id']."\" value=\"1\"";
				if (isset($alias_virtuels['active']) && !empty($alias_virtuels['active']) && $alias_virtuels['active']=="1") echo " checked";
				echo "><input type=\"radio\" name=\"".$alias_virtuels['id']."\" value=\"0\"";
				if (isset($alias_virtuels['active']) && $alias_virtuels['active']=="0") echo " checked";
				echo "><p>".$alias_virtuels['courriel']."</p><label class=\"input-label-supprimer-alias\" for=\"supprimer-alias-".$alias_virtuels['id']."\">Supprimer</label><input type=\"checkbox\" class=\"input-checkbox-supprimer-alias visuellement-cache\" id=\"supprimer-alias-".$alias_virtuels['id']."\"><a class=\"confirmation-suppression\" href=\"/services/traitements/alias_virtuels/supprAliasVirtuels.php?supprAliasVirtuel=".$alias_virtuels['id']."\">Confirmer la suppression</a></li>\n";
			}
		}
		catch (\Exception $e) {
			die ("Erreur de requête de selection utilisateurs pour \"$base\" : ".$e->getMessage());
		}
	
		?>
		</ul>
		<input type="submit" value="Appliquer">
	</form>
	
	<script src="/fichiers/js/filtre.js"></script>

</div>